# ncurses 6.0 - patch 20161029 - Thomas E. Dickey
#
# ------------------------------------------------------------------------------
#
# Ncurses 6.0 is at
# 	ftp.gnu.org:/pub/gnu
#
# Patches for ncurses 6.0 can be found at
# 	ftp://invisible-island.net/ncurses/6.0
#	http://invisible-mirror.net/archives/ncurses/6.0 
#
# ------------------------------------------------------------------------------
# ftp://invisible-island.net/ncurses/6.0/ncurses-6.0-20161029.patch.gz
# patch by Thomas E. Dickey <dickey@invisible-island.net>
# created  Sun Oct 30 01:40:40 UTC 2016
# ------------------------------------------------------------------------------
# NEWS                             |    5 +
# VERSION                          |    2 
# dist.mk                          |    4 -
# form/fld_current.c               |   32 ++++++++++-
# form/form.h                      |    5 +
# form/form.priv.h                 |    5 +
# form/frm_driver.c                |  102 ++++++++++++++++++++-----------------
# man/form.3x                      |    9 ++-
# man/form_page.3x                 |   14 +++--
# package/debian-mingw/changelog   |    4 -
# package/debian-mingw64/changelog |    4 -
# package/debian/changelog         |    4 -
# package/mingw-ncurses.nsi        |    4 -
# package/mingw-ncurses.spec       |    2 
# package/ncurses.map              |   12 +++-
# package/ncurses.spec             |    2 
# package/ncurses.sym              |    6 +-
# package/ncursest.map             |   11 +++
# package/ncursest.sym             |    5 +
# package/ncursestw.map            |   11 +++
# package/ncursestw.sym            |    5 +
# package/ncursesw.map             |   12 +++-
# package/ncursesw.sym             |    6 +-
# 23 files changed, 178 insertions(+), 88 deletions(-)
# ------------------------------------------------------------------------------
Index: NEWS
Prereq:  1.2687 
--- ncurses-6.0-20161022+/NEWS	2016-10-23 00:03:47.000000000 +0000
+++ ncurses-6.0-20161029/NEWS	2016-10-29 22:28:11.000000000 +0000
@@ -25,7 +25,7 @@
 -- sale, use or other dealings in this Software without prior written        --
 -- authorization.                                                            --
 -------------------------------------------------------------------------------
--- $Id: NEWS,v 1.2687 2016/10/23 00:03:47 tom Exp $
+-- $Id: NEWS,v 1.2689 2016/10/29 22:28:11 tom Exp $
 -------------------------------------------------------------------------------
 
 This is a log of changes that ncurses has gone through since Zeyd started
@@ -45,6 +45,9 @@
 Changes through 1.9.9e did not credit all contributions;
 it is not possible to add this information.
 
+20161029
+	+ add new function "unfocus_current_field" (Leon Winter)
+
 20161022
 	+ modify tset -w (and tput reset) to update the program's copy of the
 	  screensize if it was already set in the system, to improve tabstop
Index: VERSION
--- ncurses-6.0-20161022+/VERSION	2016-10-21 22:47:18.000000000 +0000
+++ ncurses-6.0-20161029/VERSION	2016-10-29 19:16:10.000000000 +0000
@@ -1 +1 @@
-5:0:9	6.0	20161022
+5:0:9	6.0	20161029
Index: dist.mk
Prereq:  1.1129 
--- ncurses-6.0-20161022+/dist.mk	2016-10-21 22:47:18.000000000 +0000
+++ ncurses-6.0-20161029/dist.mk	2016-10-29 19:16:10.000000000 +0000
@@ -25,7 +25,7 @@
 # use or other dealings in this Software without prior written               #
 # authorization.                                                             #
 ##############################################################################
-# $Id: dist.mk,v 1.1129 2016/10/21 22:47:18 tom Exp $
+# $Id: dist.mk,v 1.1130 2016/10/29 19:16:10 tom Exp $
 # Makefile for creating ncurses distributions.
 #
 # This only needs to be used directly as a makefile by developers, but
@@ -37,7 +37,7 @@
 # These define the major/minor/patch versions of ncurses.
 NCURSES_MAJOR = 6
 NCURSES_MINOR = 0
-NCURSES_PATCH = 20161022
+NCURSES_PATCH = 20161029
 
 # We don't append the patch to the version, since this only applies to releases
 VERSION = $(NCURSES_MAJOR).$(NCURSES_MINOR)
Index: form/fld_current.c
Prereq:  1.12 
--- ncurses-6.0-20161022+/form/fld_current.c	2010-01-23 21:14:35.000000000 +0000
+++ ncurses-6.0-20161029/form/fld_current.c	2016-10-29 22:30:10.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 1998-2004,2010 Free Software Foundation, Inc.              *
+ * Copyright (c) 1998-2010,2016 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -32,7 +32,7 @@
 
 #include "form.priv.h"
 
-MODULE_ID("$Id: fld_current.c,v 1.12 2010/01/23 21:14:35 tom Exp $")
+MODULE_ID("$Id: fld_current.c,v 1.14 2016/10/29 22:30:10 tom Exp $")
 
 /*---------------------------------------------------------------------------
 |   Facility      :  libnform
@@ -76,7 +76,7 @@
 	{
 	  if (form->current != field)
 	    {
-	      if (!_nc_Internal_Validation(form))
+	      if (form->current && !_nc_Internal_Validation(form))
 		{
 		  err = E_INVALID_FIELD;
 		}
@@ -103,6 +103,32 @@
 }
 
 /*---------------------------------------------------------------------------
+|   Facility      :  libnform
+|   Function      :  int unfocus_current_field(FORM * form)
+|
+|   Description   :  Removes focus from the current field.
+|
+|   Return Values :  E_OK              - success
+|                    E_BAD_ARGUMENT    - invalid form pointer
+|                    E_REQUEST_DENIED  - there is no current field to unfocus
++--------------------------------------------------------------------------*/
+NCURSES_EXPORT(int)
+unfocus_current_field(FORM *const form)
+{
+  T((T_CALLED("unfocus_current_field(%p)"), (const void *)form));
+  if (form == 0)
+    {
+      RETURN(E_BAD_ARGUMENT);
+    }
+  else if (form->current == 0)
+    {
+      RETURN(E_REQUEST_DENIED);
+    }
+  _nc_Unset_Current_Field(form);
+  RETURN(E_OK);
+}
+
+/*---------------------------------------------------------------------------
 |   Facility      :  libnform
 |   Function      :  FIELD *current_field(const FORM * form)
 |
Index: form/form.h
Prereq:  0.25 
--- ncurses-6.0-20161022+/form/form.h	2015-11-28 20:13:39.000000000 +0000
+++ ncurses-6.0-20161029/form/form.h	2016-10-29 22:24:24.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 1998-2014,2015 Free Software Foundation, Inc.              *
+ * Copyright (c) 1998-2015,2016 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -30,7 +30,7 @@
  *   Author:  Juergen Pfeifer, 1995,1997                                    *
  ****************************************************************************/
 
-/* $Id: form.h,v 0.25 2015/11/28 20:13:39 Leon.Winter Exp $ */
+/* $Id: form.h,v 0.26 2016/10/29 22:24:24 Leon.Winter Exp $ */
 
 #ifndef FORM_H
 #define FORM_H
@@ -387,6 +387,7 @@
 extern NCURSES_EXPORT(int)	set_form_win (FORM *,WINDOW *);
 extern NCURSES_EXPORT(int)	set_form_sub (FORM *,WINDOW *);
 extern NCURSES_EXPORT(int)	set_current_field (FORM *,FIELD *);
+extern NCURSES_EXPORT(int)	unfocus_current_field (FORM *);
 extern NCURSES_EXPORT(int)	field_index (const FIELD *);
 extern NCURSES_EXPORT(int)	set_form_page (FORM *,int);
 extern NCURSES_EXPORT(int)	form_page (const FORM *);
Index: form/form.priv.h
Prereq:  0.39 
--- ncurses-6.0-20161022+/form/form.priv.h	2015-11-28 20:13:39.000000000 +0000
+++ ncurses-6.0-20161029/form/form.priv.h	2016-10-29 22:30:23.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 1998-2014,2015 Free Software Foundation, Inc.              *
+ * Copyright (c) 1998-2015,2016 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -30,7 +30,7 @@
  *   Author:  Juergen Pfeifer, 1995,1997                                    *
  ****************************************************************************/
 
-/* $Id: form.priv.h,v 0.39 2015/11/28 20:13:39 Leon.Winter Exp $ */
+/* $Id: form.priv.h,v 0.41 2016/10/29 22:30:23 tom Exp $ */
 
 #ifndef FORM_PRIV_H
 #define FORM_PRIV_H 1
@@ -184,6 +184,7 @@
 extern NCURSES_EXPORT(bool) _nc_Internal_Validation (FORM*);
 extern NCURSES_EXPORT(int) _nc_Set_Current_Field (FORM*, FIELD*);
 extern NCURSES_EXPORT(int) _nc_Position_Form_Cursor (FORM*);
+extern NCURSES_EXPORT(void) _nc_Unset_Current_Field(FORM *form);
 
 #if NCURSES_INTEROP_FUNCS
 extern NCURSES_EXPORT(FIELDTYPE *) _nc_TYPE_INTEGER(void);
Index: form/frm_driver.c
Prereq:  1.117 
--- ncurses-6.0-20161022+/form/frm_driver.c	2015-11-28 20:39:09.000000000 +0000
+++ ncurses-6.0-20161029/form/frm_driver.c	2016-10-29 22:30:10.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 1998-2014,2015 Free Software Foundation, Inc.              *
+ * Copyright (c) 1998-2015,2016 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -32,7 +32,7 @@
 
 #include "form.priv.h"
 
-MODULE_ID("$Id: frm_driver.c,v 1.117 2015/11/28 20:39:09 tom Exp $")
+MODULE_ID("$Id: frm_driver.c,v 1.119 2016/10/29 22:30:10 tom Exp $")
 
 /*----------------------------------------------------------------------------
   This is the core module of the form library. It contains the majority
@@ -1395,6 +1395,57 @@
   returnCode(res);
 }
 
+/*
+ * Removes the focus from the current field of the form.
+ */
+void
+_nc_Unset_Current_Field(FORM *form)
+{
+  FIELD *field = form->current;
+
+  _nc_Refresh_Current_Field(form);
+  if (Field_Has_Option(field, O_PUBLIC))
+    {
+      if (field->drows > field->rows)
+	{
+	  if (form->toprow == 0)
+	    ClrStatus(field, _NEWTOP);
+	  else
+	    SetStatus(field, _NEWTOP);
+	}
+      else
+	{
+	  if (Justification_Allowed(field))
+	    {
+	      Window_To_Buffer(form, field);
+	      werase(form->w);
+	      Perform_Justification(field, form->w);
+	      if (Field_Has_Option(field, O_DYNAMIC_JUSTIFY) &&
+		  (form->w->_parent == 0))
+		{
+		  copywin(form->w,
+			  Get_Form_Window(form),
+			  0,
+			  0,
+			  field->frow,
+			  field->fcol,
+			  field->frow,
+			  field->cols + field->fcol - 1,
+			  0);
+		  wsyncup(Get_Form_Window(form));
+		}
+	      else
+		{
+		  wsyncup(form->w);
+		}
+	    }
+	}
+    }
+  delwin(form->w);
+  form->w = (WINDOW *)0;
+  form->current = 0;
+}
+
 /*---------------------------------------------------------------------------
 |   Facility      :  libnform
 |   Function      :  int _nc_Set_Current_Field(FORM  * form,
@@ -1415,7 +1466,7 @@
 
   T((T_CALLED("_nc_Set_Current_Field(%p,%p)"), (void *)form, (void *)newfield));
 
-  if (!form || !newfield || !form->current || (newfield->form != form))
+  if (!form || !newfield || (newfield->form != form))
     returnCode(E_BAD_ARGUMENT);
 
   if ((form->status & _IN_DRIVER))
@@ -1429,51 +1480,10 @@
   if ((field != newfield) ||
       !(form->status & _POSTED))
     {
-      if ((form->w) &&
+      if (field && (form->w) &&
 	  (Field_Has_Option(field, O_VISIBLE)) &&
 	  (field->form->curpage == field->page))
-	{
-	  _nc_Refresh_Current_Field(form);
-	  if (Field_Has_Option(field, O_PUBLIC))
-	    {
-	      if (field->drows > field->rows)
-		{
-		  if (form->toprow == 0)
-		    ClrStatus(field, _NEWTOP);
-		  else
-		    SetStatus(field, _NEWTOP);
-		}
-	      else
-		{
-		  if (Justification_Allowed(field))
-		    {
-		      Window_To_Buffer(form, field);
-		      werase(form->w);
-		      Perform_Justification(field, form->w);
-		      if (Field_Has_Option(field, O_DYNAMIC_JUSTIFY) &&
-			  (form->w->_parent == 0))
-			{
-			  copywin(form->w,
-				  Get_Form_Window(form),
-				  0,
-				  0,
-				  field->frow,
-				  field->fcol,
-				  field->frow,
-				  field->cols + field->fcol - 1,
-				  0);
-			  wsyncup(Get_Form_Window(form));
-			}
-		      else
-			{
-			  wsyncup(form->w);
-			}
-		    }
-		}
-	    }
-	  delwin(form->w);
-	  form->w = (WINDOW *)0;
-	}
+	_nc_Unset_Current_Field(form);
 
       field = newfield;
 
Index: man/form.3x
Prereq:  1.26 
--- ncurses-6.0-20161022+/man/form.3x	2015-08-02 18:14:50.000000000 +0000
+++ ncurses-6.0-20161029/man/form.3x	2016-10-29 22:26:35.000000000 +0000
@@ -1,6 +1,6 @@
 '\" t
 .\"***************************************************************************
-.\" Copyright (c) 1998-2014,2015 Free Software Foundation, Inc.              *
+.\" Copyright (c) 1998-2015,2016 Free Software Foundation, Inc.              *
 .\"                                                                          *
 .\" Permission is hereby granted, free of charge, to any person obtaining a  *
 .\" copy of this software and associated documentation files (the            *
@@ -27,7 +27,7 @@
 .\" authorization.                                                           *
 .\"***************************************************************************
 .\"
-.\" $Id: form.3x,v 1.26 2015/08/02 18:14:50 tom Exp $
+.\" $Id: form.3x,v 1.28 2016/10/29 22:26:35 tom Exp $
 .TH form 3X ""
 .SH NAME
 \fBform\fR \- curses extension for programming forms
@@ -146,6 +146,7 @@
 set_form_win	\fBform_win\fR(3X)
 set_max_field	\fBform_field_buffer\fR(3X)
 set_new_page	\fBform_new_page\fR(3X)
+unfocus_current_field	\fBform_page\fR(3X)
 unpost_form	\fBform_post\fR(3X)
 .TE
 .SH RETURN VALUE
@@ -200,6 +201,10 @@
 .SH PORTABILITY
 These routines emulate the System V forms library.  They were not supported on
 Version 7 or BSD versions.
+.PP
+A few functions are extensions added for ncurses, e.g.,
+\fBform_driver_w\fP,
+\fBunfocus_current_field\fP.
 .SH AUTHORS
 Juergen Pfeifer.  Manual pages and adaptation for ncurses by Eric
 S. Raymond.
Index: man/form_page.3x
Prereq:  1.12 
--- ncurses-6.0-20161022+/man/form_page.3x	2010-12-04 18:40:45.000000000 +0000
+++ ncurses-6.0-20161029/man/form_page.3x	2016-10-29 22:27:24.000000000 +0000
@@ -1,6 +1,6 @@
 '\" t
 .\"***************************************************************************
-.\" Copyright (c) 1998-2006,2010 Free Software Foundation, Inc.              *
+.\" Copyright (c) 1998-2010,2016 Free Software Foundation, Inc.              *
 .\"                                                                          *
 .\" Permission is hereby granted, free of charge, to any person obtaining a  *
 .\" copy of this software and associated documentation files (the            *
@@ -27,7 +27,7 @@
 .\" authorization.                                                           *
 .\"***************************************************************************
 .\"
-.\" $Id: form_page.3x,v 1.12 2010/12/04 18:40:45 tom Exp $
+.\" $Id: form_page.3x,v 1.14 2016/10/29 22:27:24 tom Exp $
 .TH form_page 3X ""
 .SH NAME
 \fBform_page\fR \- set and get form page number
@@ -38,6 +38,8 @@
 .br
 FIELD *current_field(const FORM *);
 .br
+int unfocus_current_field(FORM *form);
+.br
 int set_form_page(FORM *form, int n);
 .br
 int form_page(const FORM *form);
@@ -45,9 +47,13 @@
 int field_index(const FIELD *field);
 .br
 .SH DESCRIPTION
-The function \fBset_current field\fR sets the current field of the given
+The function \fBset_current_field\fR sets the current field of the given
 form; \fBcurrent_field\fR returns the current field of the given form.
 .PP
+The function \fBunfocus_current_field\fR removes the focus from the current
+field of the form. In such state, inquiries via \fBcurrent_field\fR shall return
+a NULL pointer.
+.PP
 The function \fBset_form_page\fR sets the form's page number (goes to page
 \fIn\fR of the form).
 .PP
@@ -85,6 +91,8 @@
 .SH PORTABILITY
 These routines emulate the System V forms library.  They were not supported on
 Version 7 or BSD versions.
+.PP
+The \fBunfocus_current_field\fP function is an ncurses extension.
 .SH AUTHORS
 Juergen Pfeifer.  Manual pages and adaptation for new curses by Eric
 S. Raymond.
Index: package/debian-mingw/changelog
--- ncurses-6.0-20161022+/package/debian-mingw/changelog	2016-10-21 22:47:18.000000000 +0000
+++ ncurses-6.0-20161029/package/debian-mingw/changelog	2016-10-29 19:16:10.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (6.0+20161022) unstable; urgency=low
+ncurses6 (6.0+20161029) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Fri, 21 Oct 2016 18:47:18 -0400
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 29 Oct 2016 15:16:10 -0400
 
 ncurses6 (5.9-20131005) unstable; urgency=low
 
Index: package/debian-mingw64/changelog
--- ncurses-6.0-20161022+/package/debian-mingw64/changelog	2016-10-21 22:47:18.000000000 +0000
+++ ncurses-6.0-20161029/package/debian-mingw64/changelog	2016-10-29 19:16:10.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (6.0+20161022) unstable; urgency=low
+ncurses6 (6.0+20161029) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Fri, 21 Oct 2016 18:47:18 -0400
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 29 Oct 2016 15:16:10 -0400
 
 ncurses6 (5.9-20131005) unstable; urgency=low
 
Index: package/debian/changelog
--- ncurses-6.0-20161022+/package/debian/changelog	2016-10-21 22:47:18.000000000 +0000
+++ ncurses-6.0-20161029/package/debian/changelog	2016-10-29 19:16:10.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (6.0+20161022) unstable; urgency=low
+ncurses6 (6.0+20161029) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Fri, 21 Oct 2016 18:47:18 -0400
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 29 Oct 2016 15:16:10 -0400
 
 ncurses6 (5.9-20120608) unstable; urgency=low
 
Index: package/mingw-ncurses.nsi
Prereq:  1.181 
--- ncurses-6.0-20161022+/package/mingw-ncurses.nsi	2016-10-21 22:47:18.000000000 +0000
+++ ncurses-6.0-20161029/package/mingw-ncurses.nsi	2016-10-29 19:16:10.000000000 +0000
@@ -1,4 +1,4 @@
-; $Id: mingw-ncurses.nsi,v 1.181 2016/10/21 22:47:18 tom Exp $
+; $Id: mingw-ncurses.nsi,v 1.182 2016/10/29 19:16:10 tom Exp $
 
 ; TODO add examples
 ; TODO bump ABI to 6
@@ -10,7 +10,7 @@
 !define VERSION_MAJOR "6"
 !define VERSION_MINOR "0"
 !define VERSION_YYYY  "2016"
-!define VERSION_MMDD  "1022"
+!define VERSION_MMDD  "1029"
 !define VERSION_PATCH ${VERSION_YYYY}${VERSION_MMDD}
 
 !define MY_ABI   "5"
Index: package/mingw-ncurses.spec
--- ncurses-6.0-20161022+/package/mingw-ncurses.spec	2016-10-21 22:47:18.000000000 +0000
+++ ncurses-6.0-20161029/package/mingw-ncurses.spec	2016-10-29 19:16:10.000000000 +0000
@@ -3,7 +3,7 @@
 Summary: shared libraries for terminal handling
 Name: mingw32-ncurses6
 Version: 6.0
-Release: 20161022
+Release: 20161029
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{version}-%{release}.tgz
Index: package/ncurses.map
Prereq:  1.35 
--- ncurses-6.0-20161022+/package/ncurses.map	2015-09-05 19:27:16.000000000 +0000
+++ ncurses-6.0-20161029/package/ncurses.map	2016-10-30 01:06:37.000000000 +0000
@@ -1,4 +1,4 @@
-# $Id: ncurses.map,v 1.35 2015/09/05 19:27:16 tom Exp $
+# $Id: ncurses.map,v 1.36 2016/10/30 01:06:37 tom Exp $
 # script for shared library symbol-versioning using ld
 #
 # This file was generated by ncu-mapsyms
@@ -740,12 +740,19 @@
 	global:
 		wgetdelay;
 	local:
-		_*;
 		_nc_mvcur;
 		_nc_mvcur_sp;
 		_nc_trace_mmask_t;
 } NCURSES_5.8.20110226;
 
+NCURSES_6.0.current {
+	global:
+		unfocus_current_field;
+	local:
+		_*;
+		_nc_Unset_Current_Field;
+} NCURSES_5.9.20150530;
+
 NCURSES_TIC_5.0.19991023 {
 	global:
 		_nc_capcmp;
@@ -1107,6 +1114,7 @@
 		keyname_sp;
 		keyok_sp;
 		killchar_sp;
+		longname_sp;
 		napms_sp;
 		new_prescr;
 		nocbreak_sp;
Index: package/ncurses.spec
--- ncurses-6.0-20161022+/package/ncurses.spec	2016-10-21 22:47:18.000000000 +0000
+++ ncurses-6.0-20161029/package/ncurses.spec	2016-10-29 19:16:10.000000000 +0000
@@ -1,7 +1,7 @@
 Summary: shared libraries for terminal handling
 Name: ncurses6
 Version: 6.0
-Release: 20161022
+Release: 20161029
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{version}-%{release}.tgz
Index: package/ncurses.sym
Prereq:  1.24 
--- ncurses-6.0-20161022+/package/ncurses.sym	2015-09-05 19:36:49.000000000 +0000
+++ ncurses-6.0-20161029/package/ncurses.sym	2016-10-30 00:45:38.000000000 +0000
@@ -1,4 +1,4 @@
-# $Id: ncurses.sym,v 1.24 2015/09/05 19:36:49 tom Exp $
+# $Id: ncurses.sym,v 1.25 2016/10/30 00:45:38 tom Exp $
 # script for shared library symbol-visibility using libtool
 #
 # This file was generated by ncu-mapsyms
@@ -51,7 +51,7 @@
 #	--disable-getcap --disable-leaks --disable-root-environ --disable-termcap --enable-hard-tabs --enable-sp-funcs --with-termlib --with-trace
 #	--disable-getcap --disable-leaks --disable-root-environ --disable-termcap --enable-hard-tabs --enable-wgetch-events --with-hashed-db --with-termlib --with-ticlib --with-trace
 #	--disable-getcap --disable-leaks --disable-root-environ --disable-termcap --enable-hard-tabs --with-broken_linker --with-termlib --with-ticlib --with-trace
-# Configure options (6.0.current)
+# Configure options (6.0.20161029)
 #	--disable-getcap --disable-leaks --disable-root-environ --disable-termcap --enable-getcap --enable-getcap-cache --enable-hard-tabs --enable-termcap --with-termlib --with-trace
 #	--disable-getcap --disable-leaks --disable-root-environ --disable-termcap --enable-hard-tabs --enable-interop --with-termlib --with-trace
 #	--disable-getcap --disable-leaks --disable-root-environ --disable-termcap --enable-hard-tabs --enable-sp-funcs --with-broken_linker --with-hashed-db --with-termlib --with-trace
@@ -457,6 +457,7 @@
 link_field
 link_fieldtype
 longname
+longname_sp
 mcprint
 mcprint_sp
 menu_back
@@ -763,6 +764,7 @@
 typeahead_sp
 unctrl
 unctrl_sp
+unfocus_current_field
 ungetch
 ungetch_sp
 ungetmouse
Index: package/ncursest.map
Prereq:  1.31 
--- ncurses-6.0-20161022+/package/ncursest.map	2015-09-05 19:35:45.000000000 +0000
+++ ncurses-6.0-20161029/package/ncursest.map	2016-10-30 01:08:04.000000000 +0000
@@ -1,4 +1,4 @@
-# $Id: ncursest.map,v 1.31 2015/09/05 19:35:45 tom Exp $
+# $Id: ncursest.map,v 1.32 2016/10/30 01:08:04 tom Exp $
 # script for shared library symbol-versioning using ld
 #
 # This file was generated by ncu-mapsyms
@@ -1111,8 +1111,15 @@
 	global:
 		wgetdelay;
 	local:
-		_*;
 		_nc_mvcur;
 		_nc_mvcur_sp;
 		_nc_trace_mmask_t;
 } NCURSEST_5.8.20110226;
+
+NCURSEST_6.0.current {
+	global:
+		unfocus_current_field;
+	local:
+		_*;
+		_nc_Unset_Current_Field;
+} NCURSEST_5.9.20150530;
Index: package/ncursest.sym
Prereq:  1.26 
--- ncurses-6.0-20161022+/package/ncursest.sym	2015-09-05 19:36:49.000000000 +0000
+++ ncurses-6.0-20161029/package/ncursest.sym	2016-10-30 00:55:06.000000000 +0000
@@ -1,4 +1,4 @@
-# $Id: ncursest.sym,v 1.26 2015/09/05 19:36:49 tom Exp $
+# $Id: ncursest.sym,v 1.27 2016/10/30 00:55:06 tom Exp $
 # script for shared library symbol-visibility using libtool
 #
 # This file was generated by ncu-mapsyms
@@ -35,7 +35,7 @@
 #	--disable-getcap --disable-leaks --disable-root-environ --disable-termcap --enable-hard-tabs --enable-sp-funcs --enable-weak-symbols --with-pthread --with-termlib --with-trace
 #	--disable-getcap --disable-leaks --disable-root-environ --disable-termcap --enable-hard-tabs --enable-weak-symbols --enable-wgetch-events --with-hashed-db --with-pthread --with-termlib --with-ticlib --with-trace
 #	--disable-getcap --disable-leaks --disable-root-environ --disable-termcap --enable-hard-tabs --enable-weak-symbols --with-broken_linker --with-pthread --with-termlib --with-ticlib --with-trace
-# Configure options (6.0.current)
+# Configure options (6.0.20161029)
 #	--disable-getcap --disable-leaks --disable-root-environ --disable-termcap --enable-getcap --enable-getcap-cache --enable-hard-tabs --enable-termcap --enable-weak-symbols --with-pthread --with-termlib --with-trace
 #	--disable-getcap --disable-leaks --disable-root-environ --disable-termcap --enable-hard-tabs --enable-interop --enable-weak-symbols --with-pthread --with-termlib --with-trace
 #	--disable-getcap --disable-leaks --disable-root-environ --disable-termcap --enable-hard-tabs --enable-reentrant --enable-sp-funcs --enable-weak-symbols --with-pthread --with-termlib --with-trace
@@ -748,6 +748,7 @@
 typeahead_sp
 unctrl
 unctrl_sp
+unfocus_current_field
 ungetch
 ungetch_sp
 ungetmouse
Index: package/ncursestw.map
Prereq:  1.32 
--- ncurses-6.0-20161022+/package/ncursestw.map	2015-09-05 19:35:05.000000000 +0000
+++ ncurses-6.0-20161029/package/ncursestw.map	2016-10-30 01:09:53.000000000 +0000
@@ -1,4 +1,4 @@
-# $Id: ncursestw.map,v 1.32 2015/09/05 19:35:05 tom Exp $
+# $Id: ncursestw.map,v 1.33 2016/10/30 01:09:53 tom Exp $
 # script for shared library symbol-versioning using ld
 #
 # This file was generated by ncu-mapsyms
@@ -1230,8 +1230,15 @@
 		form_driver_w;
 		wgetdelay;
 	local:
-		_*;
 		_nc_mvcur;
 		_nc_mvcur_sp;
 		_nc_trace_mmask_t;
 } NCURSESTW_5.8.20110226;
+
+NCURSESTW_6.0.current {
+	global:
+		unfocus_current_field;
+	local:
+		_*;
+		_nc_Unset_Current_Field;
+} NCURSESTW_5.9.20150530;
Index: package/ncursestw.sym
Prereq:  1.24 
--- ncurses-6.0-20161022+/package/ncursestw.sym	2015-09-05 19:36:49.000000000 +0000
+++ ncurses-6.0-20161029/package/ncursestw.sym	2016-10-30 01:00:08.000000000 +0000
@@ -1,4 +1,4 @@
-# $Id: ncursestw.sym,v 1.24 2015/09/05 19:36:49 tom Exp $
+# $Id: ncursestw.sym,v 1.25 2016/10/30 01:00:08 tom Exp $
 # script for shared library symbol-visibility using libtool
 #
 # This file was generated by ncu-mapsyms
@@ -35,7 +35,7 @@
 #	--disable-getcap --disable-leaks --disable-root-environ --disable-termcap --enable-hard-tabs --enable-sp-funcs --enable-weak-symbols --enable-widec --with-pthread --with-termlib --with-trace
 #	--disable-getcap --disable-leaks --disable-root-environ --disable-termcap --enable-hard-tabs --enable-weak-symbols --enable-wgetch-events --enable-widec --with-hashed-db --with-pthread --with-termlib --with-ticlib --with-trace
 #	--disable-getcap --disable-leaks --disable-root-environ --disable-termcap --enable-hard-tabs --enable-weak-symbols --enable-widec --with-broken_linker --with-pthread --with-termlib --with-ticlib --with-trace
-# Configure options (6.0.current)
+# Configure options (6.0.20161029)
 #	--disable-getcap --disable-leaks --disable-root-environ --disable-termcap --enable-getcap --enable-getcap-cache --enable-hard-tabs --enable-termcap --enable-weak-symbols --enable-widec --with-pthread --with-termlib --with-trace
 #	--disable-getcap --disable-leaks --disable-root-environ --disable-termcap --enable-hard-tabs --enable-interop --enable-weak-symbols --enable-widec --with-pthread --with-termlib --with-trace
 #	--disable-getcap --disable-leaks --disable-root-environ --disable-termcap --enable-hard-tabs --enable-reentrant --enable-sp-funcs --enable-weak-symbols --enable-widec --with-pthread --with-termlib --with-trace
@@ -826,6 +826,7 @@
 typeahead_sp
 unctrl
 unctrl_sp
+unfocus_current_field
 unget_wch
 unget_wch_sp
 ungetch
Index: package/ncursesw.map
Prereq:  1.37 
--- ncurses-6.0-20161022+/package/ncursesw.map	2015-09-05 19:33:48.000000000 +0000
+++ ncurses-6.0-20161029/package/ncursesw.map	2016-10-30 01:11:09.000000000 +0000
@@ -1,4 +1,4 @@
-# $Id: ncursesw.map,v 1.37 2015/09/05 19:33:48 tom Exp $
+# $Id: ncursesw.map,v 1.38 2016/10/30 01:11:09 tom Exp $
 # script for shared library symbol-versioning using ld
 #
 # This file was generated by ncu-mapsyms
@@ -421,6 +421,7 @@
 		keyname_sp;
 		keyok_sp;
 		killchar_sp;
+		longname_sp;
 		napms_sp;
 		new_prescr;
 		nocbreak_sp;
@@ -1254,8 +1255,15 @@
 		form_driver_w;
 		wgetdelay;
 	local:
-		_*;
 		_nc_mvcur;
 		_nc_mvcur_sp;
 		_nc_trace_mmask_t;
 } NCURSESW_5.8.20110226;
+
+NCURSESW_6.0.current {
+	global:
+		unfocus_current_field;
+	local:
+		_*;
+		_nc_Unset_Current_Field;
+} NCURSESW_5.9.20150530;
Index: package/ncursesw.sym
Prereq:  1.25 
--- ncurses-6.0-20161022+/package/ncursesw.sym	2015-09-05 19:36:49.000000000 +0000
+++ ncurses-6.0-20161029/package/ncursesw.sym	2016-10-30 00:50:36.000000000 +0000
@@ -1,4 +1,4 @@
-# $Id: ncursesw.sym,v 1.25 2015/09/05 19:36:49 tom Exp $
+# $Id: ncursesw.sym,v 1.26 2016/10/30 00:50:36 tom Exp $
 # script for shared library symbol-visibility using libtool
 #
 # This file was generated by ncu-mapsyms
@@ -46,7 +46,7 @@
 #	--disable-getcap --disable-leaks --disable-root-environ --disable-termcap --enable-hard-tabs --enable-sp-funcs --enable-widec --with-termlib --with-trace
 #	--disable-getcap --disable-leaks --disable-root-environ --disable-termcap --enable-hard-tabs --enable-wgetch-events --enable-widec --with-hashed-db --with-termlib --with-ticlib --with-trace
 #	--disable-getcap --disable-leaks --disable-root-environ --disable-termcap --enable-hard-tabs --enable-widec --with-broken_linker --with-termlib --with-ticlib --with-trace
-# Configure options (6.0.current)
+# Configure options (6.0.20161029)
 #	--disable-getcap --disable-leaks --disable-root-environ --disable-termcap --enable-getcap --enable-getcap-cache --enable-hard-tabs --enable-termcap --enable-widec --with-termlib --with-trace
 #	--disable-getcap --disable-leaks --disable-root-environ --disable-termcap --enable-hard-tabs --enable-interop --enable-widec --with-termlib --with-trace
 #	--disable-getcap --disable-leaks --disable-root-environ --disable-termcap --enable-hard-tabs --enable-sp-funcs --enable-widec --with-broken_linker --with-hashed-db --with-termlib --with-trace
@@ -489,6 +489,7 @@
 link_field
 link_fieldtype
 longname
+longname_sp
 mcprint
 mcprint_sp
 menu_back
@@ -836,6 +837,7 @@
 typeahead_sp
 unctrl
 unctrl_sp
+unfocus_current_field
 unget_wch
 unget_wch_sp
 ungetch
